%define nightly %{nil}
%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc
%define release 1

%if "%{?nightly:%{nightly}}%{!?nightly:0}" == "%{nil}"
%undefine nightly
%endif

Name: lalinspiral
Version: 1.9.0
Release: %{?nightly:0.%{nightly}}%{!?nightly:%{release}}%{?dist}
Summary: LSC Algorithm Inspiral Library
License: GPLv2+
Group: LAL
Source: %{name}-%{version}%{?nightly:-%{nightly}}.tar.xz
URL: https://wiki.ligo.org/Computing/LALSuite
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRequires: python2-rpm-macros
BuildRequires: pkgconfig >= 0.18.0
BuildRequires: gsl-devel
BuildRequires: libmetaio-devel
BuildRequires: numpy
BuildRequires: octave-devel
BuildRequires: python-devel
BuildRequires: swig >= 3.0.7
BuildRequires: lal-devel >= 6.20.0
BuildRequires: lal-octave >= 6.20.0
BuildRequires: python2-lal >= 6.20.0
BuildRequires: lalframe-devel >= 1.4.0
BuildRequires: lalframe-octave >= 1.4.0
BuildRequires: python2-lalframe >= 1.4.0
BuildRequires: lalmetaio-devel >= 1.5.0
BuildRequires: lalmetaio-octave >= 1.5.0
BuildRequires: python2-lalmetaio >= 1.5.0
BuildRequires: lalsimulation-devel >= 1.9.0
BuildRequires: lalsimulation-octave >= 1.9.0
BuildRequires: python2-lalsimulation >= 1.9.0
BuildRequires: glue
Requires: gsl
Requires: libframe
Requires: libmetaio
Requires: lal >= 6.20.0
Requires: lalframe >= 1.4.0
Requires: lalmetaio >= 1.5.0
Requires: lalsimulation >= 1.9.0
Prefix: %{_prefix}

%description
The LSC Algorithm Inspiral Library for gravitational wave data analysis. This
package contains the shared-object libraries needed to run applications
that use the LAL Inspiral library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Inspiral
Group: LAL
Requires: %{name} = %{version}
Requires: gsl-devel
Requires: libframe-devel
Requires: libmetaio-devel
Requires: lal-devel >= 6.20.0
Requires: lalframe-devel >= 1.4.0
Requires: lalmetaio-devel >= 1.5.0
Requires: lalsimulation-devel >= 1.9.0
%description devel
The LSC Algorithm Inspiral Library for gravitational wave data analysis. This
package contains files needed build applications that use the LAL Inspiral
library.

%package -n python2-%{name}
Summary: Python bindings for LALInspiral
Group: LAL
Requires: %{name} = %{version}
Requires: numpy
Requires: python
Requires: python2-lal >= 6.20.0
Requires: python2-lalburst
Requires: python2-lalframe >= 1.4.0
Requires: python2-lalmetaio >= 1.5.0
Requires: python2-lalsimulation >= 1.9.0
Requires: python2-ligo-segments
Requires: glue
Obsoletes: %{name}-python
Provides: %{name}-python
%description -n python2-%{name}
This package provides the Python bindings for LALInspiral.

%package octave
Summary: Octave bindings for LALInspiral
Group: LAL
Requires: %{name} = %{version}
Requires: octave
Requires: lal-octave >= 6.20.0
Requires: lalframe-octave >= 1.4.0
Requires: lalmetaio-octave >= 1.5.0
Requires: lalsimulation-octave >= 1.9.0
%description octave
This package provides the Octave bindings for LALInspiral.

%prep
%setup -q -n %{name}-%{version}%{?nightly:-%{nightly}}

%build
%configure --disable-gcc-flags --enable-swig
%{__make} %{?_smp_mflags} V=1

%check
%{__make} %{?_smp_mflags} V=1 VERBOSE=1 check

%install
%make_install
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}%{?nightly:-%{nightly}}

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/lalinspiral_version
%{_libdir}/*.so.*
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
%license COPYING
%{_includedir}/lal
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n python2-%{name}
%defattr(-,root,root)
%license COPYING
%{python2_sitearch}/*

%files octave
%defattr(-,root,root)
%license COPYING
%{_prefix}/lib*/octave/*/site/oct/*/lalinspiral.oct*

# dates should be formatted using: 'date +"%a %b %d %Y"'
%changelog
* Thu May 23 2019 Adam Mercer <adam.mercer@ligo.org> 1.9.0-1
- O3 release

* Mon Feb 25 2019 Adam Mercer <adam.mercer@ligo.org> 1.8.1-1
- ER14 release

* Thu Sep 13 2018 Adam Mercer <adam.mercer@ligo.org> 1.8.0-1
- Pre O3 release

* Tue Feb 07 2017 Adam Mercer <adam.mercer@ligo.org> 1.7.7-1
- O2 release

* Mon Sep 26 2016 Adam Mercer <adam.mercer@ligo.org> 1.7.6-1
- ER10 release

* Thu Jun 23 2016 Adam Mercer <adam.mercer@ligo.org> 1.7.5-1
- ER9 release

* Fri Mar 25 2016 Adam Mercer <adam.mercer@ligo.org> 1.7.4-1
- Pre O2 packaging test release
